Update existing Product
curl --request PATCH \
--url https://waas-staging.embedly.ng/api/v1/products/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"direction": "<string>",
"isActive": true
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/products/update"
payload = {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"direction": "<string>",
"isActive": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
description: '<string>',
direction: '<string>',
isActive: true
})
};
fetch('https://waas-staging.embedly.ng/api/v1/products/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update existing Product
The endpoint allows you to update an existing product..
PATCH
/
products
/
update
Update existing Product
Request Body
string
required
The unique identifier of the product Example:
‘e678b629-fb56-11ef-a8a9-6045bd97b81d’
string
required
A name of the resource. Example: ‘School Loan’
string
required
A description of the resource. Example: ‘Loan’
string
required
The direction of the resource (e.g., ‘D’ for debit). Example: ‘D’
boolean
required
Indicates whether the resource is active. Example: true
Response
✅ Success ResponseStatus Code: 200 OK
{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": {
"id": "ed639208-0be4-11f0-a8a9-6045bd97b81d",
"name": "Updated Loan",
"description": "Updated Loan Description",
"direction": "D",
"isActive": true,
"dateUpdated": "2025-03-28T14:57:11"
}
}
❌ Error Responses
Status Code: 400 Bad Request{
"code": "404",
"success": false,
"message": "The product you have specified does not exist",
"data": null
}